org.bdgenomics.adam.models

# Attribute

###
Related Doc: package models

#### case class Attribute(tag: String, tagType: TagType.Value, value: Any) extends Product with Serializable

A wrapper around the attrTuple (key) and value pair seen in many formats.

Includes the attrTuple-type explicitly, rather than embedding the corresponding information in the type of 'value', because otherwise it'd be difficult to extract the correct type for Byte and NumericSequence values.

This class is roughly analogous to htsjdk's SAMTagAndValue.

tag

  The string key associated with this pair.

tagType

  An enumerated value representing the type of the 'value' parameter.

value

  The 'value' half of the pair.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Attribute
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Attribute(tag: String, tagType: TagType.Value, value: Any)

   tag

     The string key associated with this pair.

   tagType

     An enumerated value representing the type of the 'value' parameter.

   value

     The 'value' half of the pair.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

8. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

9. #### final def isInstanceOf[T0]: Boolean

   Definition Classes
     Any

10. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### final def notify(): Unit

    Definition Classes
      AnyRef

12. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

13. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

14. #### val tag: String

    The string key associated with this pair.

15. #### val tagType: TagType.Value

    An enumerated value representing the type of the 'value' parameter.

16. #### def toString(): String

    Definition Classes
      Attribute → AnyRef → Any

17. #### val value: Any

    The 'value' half of the pair.

18. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped